# Uses of Enum Class
java.lang.classfile.TypeAnnotation.TypePathComponent.Kind

Packages that use TypeAnnotation.TypePathComponent.Kind
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

- ## Uses of TypeAnnotation.TypePathComponent.Kind in java.lang.classfile

  Subclasses with type arguments of type TypeAnnotation.TypePathComponent.Kind in java.lang.classfile
  Modifier and Type
  Class
  Description
  `static enum`
  `TypeAnnotation.TypePathComponent.Kind`
  Type path kind, as defined in JVMS 4.7.20.2
  Methods in java.lang.classfile that return TypeAnnotation.TypePathComponent.Kind
  Modifier and Type
  Method
  Description
  `TypeAnnotation.TypePathComponent.Kind`
  TypeAnnotation.TypePathComponent.`typePathKind()`
  The type path kind items from JVMS Table 4.7.20.2-A.
  `static TypeAnnotation.TypePathComponent.Kind`
  TypeAnnotation.TypePathComponent.Kind.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TypeAnnotation.TypePathComponent.Kind[]`
  TypeAnnotation.TypePathComponent.Kind.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.lang.classfile with parameters of type TypeAnnotation.TypePathComponent.Kind
  Modifier and Type
  Method
  Description
  `static TypeAnnotation.TypePathComponent`
  TypeAnnotation.TypePathComponent.`of(TypeAnnotation.TypePathComponent.Kind typePathKind, int typeArgumentIndex)`
  Returns type path component of an annotation.